<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\SonstigeListen\PrintSonstigeListen;


class PrintSonstigeListenUseCase extends \Kufer\KuferTools\Mitarbeiter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\PrintDruckListen\PrintDruckListenUseCase
{
  public function __construct($pRequest)
  {
    
    parent::__construct($pRequest);
  }

  

  
  protected function _getPdfDrucklistenObj()
  {
    $userId = $this->getUser()->getIdentifier();

    return new \Kufer\KuferTools\Basis\PdfListen\SonstigePdfListen(self::getToolId(), self::getToolSectionId(), $userId);
  }

  public static function getToolSectionId()
  {
    return 407;
  }
}